org.eclipse.ease.ui.scripts.ui

## Class ScriptDragSource

- java.lang.Object
- - org.eclipse.swt.dnd.DragSourceAdapter
  - - org.eclipse.swt.dnd.DragSourceEffect
    - - org.eclipse.swt.dnd.TreeDragSourceEffect
      - - org.eclipse.ease.ui.scripts.ui.ScriptDragSource

All Implemented Interfaces:
  java.util.EventListener, DragSourceListener, SWTEventListener

    public class ScriptDragSource
    extends TreeDragSourceEffect

Source for a script D&D event.

### Constructor Summary

Constructors
Constructor and Description
`ScriptDragSource(TreeViewer tree)` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addDragSupport(TreeViewer treeViewer)` Does everything to add drag support to a given tree.
`void` `dragSetData(DragSourceEvent event)`

### Methods inherited from class org.eclipse.swt.dnd.TreeDragSourceEffect

`dragFinished, dragStart`

### Methods inherited from class org.eclipse.swt.dnd.DragSourceEffect

`getControl`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptDragSource

    public ScriptDragSource(TreeViewer tree)

Constructor. Gets its macros from a tree selection.

Parameters:
  `tree` - tree to read from

### Method Detail

#### addDragSupport

    public static final void addDragSupport(TreeViewer treeViewer)

Does everything to add drag support to a given tree.

Parameters:
  `treeViewer` - tree to add drag support to

#### dragSetData

    public final void dragSetData(DragSourceEvent event)

Specified by:
  `dragSetData` in interface `DragSourceListener`
Overrides:
  `dragSetData` in class `DragSourceAdapter`